aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKonstantin Boudnik <cos@apache.org>2016-02-19 12:48:33 +0300
committerKonstantin Boudnik <cos@apache.org>2016-02-22 18:17:09 +0300
commite42853d39544c1d1805c9dbb012faa24bd9e8736 (patch)
treedc7bda5fbf77bd6042e52bc48879e1d8675c1abe
parentc13d0ec3915dba006fc82f204608585da16cc2e1 (diff)
downloadbigtop-odpi-e42853d39544c1d1805c9dbb012faa24bd9e8736.tar.gz
BIGTOP-2229. bigtop deploy to support centos-7
-rw-r--r--docker/bigtop-deploy/centos-7/Dockerfile40
-rwxr-xr-xdocker/bigtop-deploy/centos-7/build.sh20
2 files changed, 60 insertions, 0 deletions
diff --git a/docker/bigtop-deploy/centos-7/Dockerfile b/docker/bigtop-deploy/centos-7/Dockerfile
new file mode 100644
index 00000000..84b8676b
--- /dev/null
+++ b/docker/bigtop-deploy/centos-7/Dockerfile
@@ -0,0 +1,40 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+FROM bigtop/puppet:centos-7
+
+COPY bigtop_toolchain /etc/puppet/modules/bigtop_toolchain
+
+# enable ssh
+RUN yum -y install openssh-server openssh-clients vim && \
+ ssh-keygen -q -N "" -t dsa -f /etc/ssh/ssh_host_dsa_key && \
+ ssh-keygen -q -N "" -t rsa -f /etc/ssh/ssh_host_rsa_key && \
+ # requiretty off
+ sed -i.bak 's/requiretty/!requiretty/' /etc/sudoers && \
+ # setup vagrant account
+ mkdir /root/.ssh && \
+ chmod 0700 /root/.ssh && \
+ wget http://github.com/mitchellh/vagrant/raw/master/keys/vagrant.pub --no-check-certificate -O /root/.ssh/authorized_keys && \
+ chmod 0600 /root/.ssh/authorized_keys && \
+ # Install required Puppet modules
+ puppet apply -e "include bigtop_toolchain::puppet-modules"
+
+#Add Tini
+ENV TINI_VERSION v0.8.4
+ADD https://github.com/krallin/tini/releases/download/${TINI_VERSION}/tini /tini
+RUN chmod +x /tini
+ENTRYPOINT ["/tini", "--"]
+
+CMD /usr/sbin/sshd -D
diff --git a/docker/bigtop-deploy/centos-7/build.sh b/docker/bigtop-deploy/centos-7/build.sh
new file mode 100755
index 00000000..89bae88d
--- /dev/null
+++ b/docker/bigtop-deploy/centos-7/build.sh
@@ -0,0 +1,20 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+cp -r ../../../bigtop_toolchain .
+docker build -t bigtop/deploy:centos-7 .
+ret=$?
+rm -rf bigtop_toolchain
+exit $ret